/* disk.h: low-level access functions to the disk
 *
 * Copyright (C) 1995-97 Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
 *               1996-97 Michael Schlueter <schlue00@marvin.informatik.uni-dortmund.de>
 *
 * This program is free software.  You can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation: either version 2 or
 * (at your option) any later version.
 *
 */

#ifndef _disk_h
#define _disk_h


/***************************** Prototypes *****************************/

int sseek( unsigned int fd, unsigned long s );
int sseek( unsigned int fd, unsigned long s );
void sread( char *buffer, unsigned long secno );
void dump_sector( unsigned long sec, unsigned char *buf );
void swrite( char *buf, unsigned long secno );
int dangerous_write( int fd, char *buf, unsigned long secno );

/************************* End of Prototypes **************************/

#endif  /* _disk_h */
