/* input.h: input functions
 *
 * Copyright (C) 1995-97 Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
 *               1996-97 Michael Schlueter <schlue00@marvin.informatik.uni-dortmund.de>
 *
 * This program is free software.  You can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation: either version 2 or
 * (at your option) any later version.
 *
 */

#ifndef _input_h
#define _input_h

#include "fdisk.h"

/***************************** Prototypes *****************************/

char read_char( char *mesg );
uint read_int( uint low, uint dflt, uint high, enum offset base, char *mesg
               );
int read_line( void);
int read_yesno( char *mesg, int dflt );
int get_partition( int max );

/************************* End of Prototypes **************************/

#endif  /* _input_h */
