/* menufunc.h: menu functions
 *
 * Copyright (C) 1995-97 Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
 *               1996-97 Michael Schlueter <schlue00@marvin.informatik.uni-dortmund.de>
 *
 * This program is free software.  You can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation: either version 2 or
 * (at your option) any later version.
 *
 */

#ifndef _menufuncs_h
#define _menufuncs_h

/***************************** Prototypes *****************************/

void set_bootable( void );
void bad_sector_list( void );
void change_partition_size( int i );
void delete_partition( int i );
void convert_partition( int i );
void select_xfmt( void );
void change_contents_flag( int i );
void new_partition( void );
void move_partition( void);
void list_table( void);
void change_partid( int i );
void select_options( void );
void parse_options( char *options );
void verify( void);
void write_table( void);

/************************* End of Prototypes **************************/

#endif  /* _menufuncs_h */
